Package com.avaya.clientservices.media

## Class CPUThresholdConfiguration

- java.lang.Object
- - com.avaya.clientservices.media.CPUThresholdConfiguration

-     public class CPUThresholdConfiguration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CPUThresholdConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getNumOfSamples()` |
    `int` | `getProcessCPUUsagePercent()` |
    `int` | `getThresholdTriggerPercent()` |
    `CPUThresholdType` | `getThresholdType()` |
    `int` | `getTotalCPUUsagePercent()` |
    `void` | `setNumOfSamples​(int numSamples)` |
    `void` | `setProcessCPUUsagePercent​(int processCPUUsePerc)` |
    `void` | `setThresholdTriggerPercent​(int thresholdTriggerPerc)` |
    `void` | `setThresholdType​(CPUThresholdType type)` |
    `void` | `setTotalCPUUsagePercent​(int totalCPUUsePerc)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CPUThresholdConfiguration

          public CPUThresholdConfiguration()

  - ### Method Detail

    - #### setThresholdType

          public void setThresholdType​(CPUThresholdType type)

    - #### getThresholdType

          public CPUThresholdType getThresholdType()

    - #### setProcessCPUUsagePercent

          public void setProcessCPUUsagePercent​(int processCPUUsePerc)

    - #### getProcessCPUUsagePercent

          public int getProcessCPUUsagePercent()

    - #### setTotalCPUUsagePercent

          public void setTotalCPUUsagePercent​(int totalCPUUsePerc)

    - #### getTotalCPUUsagePercent

          public int getTotalCPUUsagePercent()

    - #### setNumOfSamples

          public void setNumOfSamples​(int numSamples)

    - #### getNumOfSamples

          public int getNumOfSamples()

    - #### setThresholdTriggerPercent

          public void setThresholdTriggerPercent​(int thresholdTriggerPerc)

    - #### getThresholdTriggerPercent

          public int getThresholdTriggerPercent()